GDCM 3.2.1

Public Types | Public Member Functions | Friends | List of all members
gdcm::IOD Class Reference

Class for representing a IOD. More...

`#include <gdcmIOD.h>`

## Public Types
typedef std::vector< IODEntry > | MapIODEntry
typedef MapIODEntry::size_type | SizeType

## Public Member Functions
| IOD ()=default
void | AddIODEntry (const IODEntry &iode)
void | Clear ()
const IODEntry & | GetIODEntry (SizeType idx) const
SizeType | GetNumberOfIODs () const
Type | GetTypeFromTag (const Defs &defs, const Tag &tag) const

## Friends
std::ostream & | operator<< (std::ostream &_os, const IOD &_val)

## Detailed Description

Class for representing a IOD.

Note
  bla

See also
  Dict

Examples
  TraverseModules.cxx.

## Member Typedef Documentation

## ◆ MapIODEntry

typedef std::vector<IODEntry> gdcm::IOD::MapIODEntry

## ◆ SizeType

typedef MapIODEntry::size_type gdcm::IOD::SizeType

## Constructor & Destructor Documentation

## ◆ IOD()

gdcm::IOD::IOD | ( |  | ) |
| default

References IOD(), and operator<<.

Referenced by IOD(), and operator<<.

## Member Function Documentation

## ◆ AddIODEntry()

void gdcm::IOD::AddIODEntry | ( | const IODEntry & | iode | ) |
| inline

## ◆ Clear()

void gdcm::IOD::Clear | ( |  | ) |
| inline

## ◆ GetIODEntry()

const IODEntry & gdcm::IOD::GetIODEntry | ( | SizeType | idx | ) | const
| inline

Examples
  TraverseModules.cxx.

## ◆ GetNumberOfIODs()

SizeType gdcm::IOD::GetNumberOfIODs | ( |  | ) | const
| inline

Examples
  TraverseModules.cxx.

## ◆ GetTypeFromTag()

Type gdcm::IOD::GetTypeFromTag | ( | const Defs & | defs,
|  | const Tag & | tag ) const

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const IOD & | _val )
| friend

References IOD().

Referenced by IOD().

The documentation for this class was generated from the following file:

- gdcmIOD.h